﻿import {Component, ViewEncapsulation, ViewChild, Injectable, CORE_DIRECTIVES, FORM_DIRECTIVES} from '@angular/core';
import {CommonModule} from "@angular/common";
import {EJComponents} from './ej/core';
import {EJ_CHART_COMPONENTS } from './ej/chart.component';

declare let ej: any;

@Component({
   selector: 'ej-app',    
   templateUrl: 'app/app.component.html',
   directives: [EJ_CHART_COMPONENTS]
})

export class AppComponent {

    chartData: any;  
    @ViewChild('contain') chart: any;

    
    constructor() {
        this.chartData = [
            { xName: 'USA', yName: 50, yName1: 70, yName2: 45 },
            { xName: 'China', yName: 40, yName1: 60, yName2: 55 },
            { xName: 'Japan', yName: 70, yName1: 60, yName2: 50 }
        ];
    }

    legendItemClick(sender) {
        var value, str="";
        for (var i = 0; i < sender.model.series.length; i++) {
            if (i == sender.data.legendItem.Style.SeriesIndex)
                value = sender.model.series[i].visibility == "hidden" ? "visible" : "hidden";
            else
                value = sender.model.series[i].visibility;
            str += "\nSeries " + i + " : " + value;
       }
       alert(str);
    }

    ngAfterViewInit() {

        
    }


   

}